| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreNamespaceConstIterator Class Reference

allows all namespaces of a namespace to be iterated (including the namespace passed in the constructor) More...

`#include <QoreNamespace.h>`

## Public Member Functions
DLLEXPORT | QoreNamespaceConstIterator (const QoreNamespace &ns)
| creates the iterator; the namespace given will also be included in the iteration set
virtual DLLEXPORT | ~QoreNamespaceConstIterator ()
| destroys the object
DLLEXPORT const QoreNamespace & | get () const
| returns the namespace
DLLEXPORT bool | next ()
| moves to the next position; returns true if on a valid position
DLLEXPORT const QoreNamespace * | operator* () const
| returns the namespace
DLLEXPORT const QoreNamespace * | operator-> () const
| returns the namespace

## Detailed Description

allows all namespaces of a namespace to be iterated (including the namespace passed in the constructor)

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreNamespace.h